require '_h2ph_pre.ph';

unless(defined(&_ASM_IO_H)) {
    eval 'sub _ASM_IO_H () {1;}' unless defined(&_ASM_IO_H);
    require 'linux/config.ph';
    if(defined(&SLOW_IO_BY_JUMPING)) {
	eval 'sub __SLOW_DOWN_IO () {"\\njmp 1f\\n1:\\tjmp 1f\\n1:";}' unless defined(&__SLOW_DOWN_IO);
    } else {
	eval 'sub __SLOW_DOWN_IO () {"\\noutb %%al,$0x80";}' unless defined(&__SLOW_DOWN_IO);
    }
    if(defined(&REALLY_SLOW_IO)) {
	eval 'sub __FULL_SLOW_DOWN_IO () { &__SLOW_DOWN_IO  &__SLOW_DOWN_IO  &__SLOW_DOWN_IO  &__SLOW_DOWN_IO;}' unless defined(&__FULL_SLOW_DOWN_IO);
    } else {
	eval 'sub __FULL_SLOW_DOWN_IO () { &__SLOW_DOWN_IO;}' unless defined(&__FULL_SLOW_DOWN_IO);
    }
    eval 'sub __OUT1 {
        local($s,$x) = @_;
	    eval q( &static  &inline  &void  &out$s(\'unsigned x value\', \'unsigned short port\') {);
    }' unless defined(&__OUT1);
    eval 'sub __OUT2 {
        local($s,$s1,$s2) = @_;
	    eval q( &__asm__  &__volatile__ (\\"out\\" $s \\" %\\" $s1 \\"0,%\\" $s2 \\"1\\");
    }' unless defined(&__OUT2);
    eval 'sub __OUT {
        local($s,$s1,$x) = @_;
	    eval q( &__OUT1($s,$x)  &__OUT2($s,$s1,\\"w\\") : : \\"a\\" ( &value), \\"Nd\\" ( &port)); }  &__OUT1($s &_p,$x)  &__OUT2($s,$s1,\\"w\\")  &__FULL_SLOW_DOWN_IO : : \\"a\\" ( &value), \\"Nd\\" ( &port));});
    }' unless defined(&__OUT);
    eval 'sub __IN1 {
        local($s) = @_;
	    eval q( &static  &inline  &RETURN_TYPE  &in$s {  &RETURN_TYPE  &_v;);
    }' unless defined(&__IN1);
    eval 'sub __IN2 {
        local($s,$s1,$s2) = @_;
	    eval q( &__asm__  &__volatile__ (\\"in\\" $s \\" %\\" $s2 \\"1,%\\" $s1 \\"0\\");
    }' unless defined(&__IN2);
    eval 'sub __IN () {( &s, &s1, &i...)  &__IN1  &__IN2( &s, &s1,"w") : "=a" ( &_v) : "Nd" ( &port) , &i );  &return  &_v; }  &__IN1( &s &_p)  &__IN2( &s, &s1,"w")  &__FULL_SLOW_DOWN_IO : "=a" ( &_v) : "Nd" ( &port) , &i );  &return  &_v; };}' unless defined(&__IN);
    eval 'sub __INS {
        local($s) = @_;
	    eval q( &static  &inline  &void  &ins$s(\'unsigned short port\',  &void *  &addr, \'unsigned long count\') {  &__asm__  &__volatile__ (\\"rep ; ins\\" $s : \\"=D\\" ( &addr), \\"=c\\" ( &count) : \\"d\\" ( &port),\\"0\\" ( &addr),\\"1\\" ( &count)); });
    }' unless defined(&__INS);
    eval 'sub __OUTS {
        local($s) = @_;
	    eval q( &static  &inline  &void  &outs$s(\'unsigned short port\',  &const  &void *  &addr, \'unsigned long count\') {  &__asm__  &__volatile__ (\\"rep ; outs\\" $s : \\"=S\\" ( &addr), \\"=c\\" ( &count) : \\"d\\" ( &port),\\"0\\" ( &addr),\\"1\\" ( &count)); });
    }' unless defined(&__OUTS);
    eval 'sub RETURN_TYPE () {\'unsigned char\';}' unless defined(&RETURN_TYPE);
    undef(&RETURN_TYPE) if defined(&RETURN_TYPE);
    eval 'sub RETURN_TYPE () {\'unsigned short\';}' unless defined(&RETURN_TYPE);
    undef(&RETURN_TYPE) if defined(&RETURN_TYPE);
    eval 'sub RETURN_TYPE () {\'unsigned int\';}' unless defined(&RETURN_TYPE);
    undef(&RETURN_TYPE) if defined(&RETURN_TYPE);
    eval 'sub IO_SPACE_LIMIT () {0xffff;}' unless defined(&IO_SPACE_LIMIT);
}
1;
