require '_h2ph_pre.ph';

unless(defined(&_LINUX_APM_H)) {
    eval 'sub _LINUX_APM_H () {1;}' unless defined(&_LINUX_APM_H);
    eval 'sub APM_STATE_READY () {0x0000;}' unless defined(&APM_STATE_READY);
    eval 'sub APM_STATE_STANDBY () {0x0001;}' unless defined(&APM_STATE_STANDBY);
    eval 'sub APM_STATE_SUSPEND () {0x0002;}' unless defined(&APM_STATE_SUSPEND);
    eval 'sub APM_STATE_OFF () {0x0003;}' unless defined(&APM_STATE_OFF);
    eval 'sub APM_STATE_BUSY () {0x0004;}' unless defined(&APM_STATE_BUSY);
    eval 'sub APM_STATE_REJECT () {0x0005;}' unless defined(&APM_STATE_REJECT);
    eval 'sub APM_STATE_OEM_SYS () {0x0020;}' unless defined(&APM_STATE_OEM_SYS);
    eval 'sub APM_STATE_OEM_DEV () {0x0040;}' unless defined(&APM_STATE_OEM_DEV);
    eval 'sub APM_STATE_DISABLE () {0x0000;}' unless defined(&APM_STATE_DISABLE);
    eval 'sub APM_STATE_ENABLE () {0x0001;}' unless defined(&APM_STATE_ENABLE);
    eval 'sub APM_STATE_DISENGAGE () {0x0000;}' unless defined(&APM_STATE_DISENGAGE);
    eval 'sub APM_STATE_ENGAGE () {0x0001;}' unless defined(&APM_STATE_ENGAGE);
    eval 'sub APM_SYS_STANDBY () {0x0001;}' unless defined(&APM_SYS_STANDBY);
    eval 'sub APM_SYS_SUSPEND () {0x0002;}' unless defined(&APM_SYS_SUSPEND);
    eval 'sub APM_NORMAL_RESUME () {0x0003;}' unless defined(&APM_NORMAL_RESUME);
    eval 'sub APM_CRITICAL_RESUME () {0x0004;}' unless defined(&APM_CRITICAL_RESUME);
    eval 'sub APM_LOW_BATTERY () {0x0005;}' unless defined(&APM_LOW_BATTERY);
    eval 'sub APM_POWER_STATUS_CHANGE () {0x0006;}' unless defined(&APM_POWER_STATUS_CHANGE);
    eval 'sub APM_UPDATE_TIME () {0x0007;}' unless defined(&APM_UPDATE_TIME);
    eval 'sub APM_CRITICAL_SUSPEND () {0x0008;}' unless defined(&APM_CRITICAL_SUSPEND);
    eval 'sub APM_USER_STANDBY () {0x0009;}' unless defined(&APM_USER_STANDBY);
    eval 'sub APM_USER_SUSPEND () {0x000a;}' unless defined(&APM_USER_SUSPEND);
    eval 'sub APM_STANDBY_RESUME () {0x000b;}' unless defined(&APM_STANDBY_RESUME);
    eval 'sub APM_CAPABILITY_CHANGE () {0x000c;}' unless defined(&APM_CAPABILITY_CHANGE);
    eval 'sub APM_SUCCESS () {0x00;}' unless defined(&APM_SUCCESS);
    eval 'sub APM_DISABLED () {0x01;}' unless defined(&APM_DISABLED);
    eval 'sub APM_CONNECTED () {0x02;}' unless defined(&APM_CONNECTED);
    eval 'sub APM_NOT_CONNECTED () {0x03;}' unless defined(&APM_NOT_CONNECTED);
    eval 'sub APM_16_CONNECTED () {0x05;}' unless defined(&APM_16_CONNECTED);
    eval 'sub APM_16_UNSUPPORTED () {0x06;}' unless defined(&APM_16_UNSUPPORTED);
    eval 'sub APM_32_CONNECTED () {0x07;}' unless defined(&APM_32_CONNECTED);
    eval 'sub APM_32_UNSUPPORTED () {0x08;}' unless defined(&APM_32_UNSUPPORTED);
    eval 'sub APM_BAD_DEVICE () {0x09;}' unless defined(&APM_BAD_DEVICE);
    eval 'sub APM_BAD_PARAM () {0x0a;}' unless defined(&APM_BAD_PARAM);
    eval 'sub APM_NOT_ENGAGED () {0x0b;}' unless defined(&APM_NOT_ENGAGED);
    eval 'sub APM_BAD_FUNCTION () {0x0c;}' unless defined(&APM_BAD_FUNCTION);
    eval 'sub APM_RESUME_DISABLED () {0x0d;}' unless defined(&APM_RESUME_DISABLED);
    eval 'sub APM_NO_ERROR () {0x53;}' unless defined(&APM_NO_ERROR);
    eval 'sub APM_BAD_STATE () {0x60;}' unless defined(&APM_BAD_STATE);
    eval 'sub APM_NO_EVENTS () {0x80;}' unless defined(&APM_NO_EVENTS);
    eval 'sub APM_NOT_PRESENT () {0x86;}' unless defined(&APM_NOT_PRESENT);
    eval 'sub APM_DEVICE_BIOS () {0x0000;}' unless defined(&APM_DEVICE_BIOS);
    eval 'sub APM_DEVICE_ALL () {0x0001;}' unless defined(&APM_DEVICE_ALL);
    eval 'sub APM_DEVICE_DISPLAY () {0x0100;}' unless defined(&APM_DEVICE_DISPLAY);
    eval 'sub APM_DEVICE_STORAGE () {0x0200;}' unless defined(&APM_DEVICE_STORAGE);
    eval 'sub APM_DEVICE_PARALLEL () {0x0300;}' unless defined(&APM_DEVICE_PARALLEL);
    eval 'sub APM_DEVICE_SERIAL () {0x0400;}' unless defined(&APM_DEVICE_SERIAL);
    eval 'sub APM_DEVICE_NETWORK () {0x0500;}' unless defined(&APM_DEVICE_NETWORK);
    eval 'sub APM_DEVICE_PCMCIA () {0x0600;}' unless defined(&APM_DEVICE_PCMCIA);
    eval 'sub APM_DEVICE_BATTERY () {0x8000;}' unless defined(&APM_DEVICE_BATTERY);
    eval 'sub APM_DEVICE_OEM () {0xe000;}' unless defined(&APM_DEVICE_OEM);
    eval 'sub APM_DEVICE_OLD_ALL () {0xffff;}' unless defined(&APM_DEVICE_OLD_ALL);
    eval 'sub APM_DEVICE_CLASS () {0x00ff;}' unless defined(&APM_DEVICE_CLASS);
    eval 'sub APM_DEVICE_MASK () {0xff00;}' unless defined(&APM_DEVICE_MASK);
    eval 'sub APM_MAX_BATTERIES () {2;}' unless defined(&APM_MAX_BATTERIES);
    eval 'sub APM_CAP_GLOBAL_STANDBY () {0x0001;}' unless defined(&APM_CAP_GLOBAL_STANDBY);
    eval 'sub APM_CAP_GLOBAL_SUSPEND () {0x0002;}' unless defined(&APM_CAP_GLOBAL_SUSPEND);
    eval 'sub APM_CAP_RESUME_STANDBY_TIMER () {0x0004;}' unless defined(&APM_CAP_RESUME_STANDBY_TIMER);
    eval 'sub APM_CAP_RESUME_SUSPEND_TIMER () {0x0008;}' unless defined(&APM_CAP_RESUME_SUSPEND_TIMER);
    eval 'sub APM_CAP_RESUME_STANDBY_RING () {0x0010;}' unless defined(&APM_CAP_RESUME_STANDBY_RING);
    eval 'sub APM_CAP_RESUME_SUSPEND_RING () {0x0020;}' unless defined(&APM_CAP_RESUME_SUSPEND_RING);
    eval 'sub APM_CAP_RESUME_STANDBY_PCMCIA () {0x0040;}' unless defined(&APM_CAP_RESUME_STANDBY_PCMCIA);
    eval 'sub APM_CAP_RESUME_SUSPEND_PCMCIA () {0x0080;}' unless defined(&APM_CAP_RESUME_SUSPEND_PCMCIA);
    require 'linux/ioctl.ph';
    eval 'sub APM_IOC_STANDBY () { &_IO(ord(\'A\'), 1);}' unless defined(&APM_IOC_STANDBY);
    eval 'sub APM_IOC_SUSPEND () { &_IO(ord(\'A\'), 2);}' unless defined(&APM_IOC_SUSPEND);
}
1;
