require '_h2ph_pre.ph';

unless(defined(&_LINUX_CYCLADES_H)) {
    eval 'sub _LINUX_CYCLADES_H () {1;}' unless defined(&_LINUX_CYCLADES_H);
    eval 'sub CYCLADES_MAGIC () {0x4359;}' unless defined(&CYCLADES_MAGIC);
    eval 'sub CYGETMON () {0x435901;}' unless defined(&CYGETMON);
    eval 'sub CYGETTHRESH () {0x435902;}' unless defined(&CYGETTHRESH);
    eval 'sub CYSETTHRESH () {0x435903;}' unless defined(&CYSETTHRESH);
    eval 'sub CYGETDEFTHRESH () {0x435904;}' unless defined(&CYGETDEFTHRESH);
    eval 'sub CYSETDEFTHRESH () {0x435905;}' unless defined(&CYSETDEFTHRESH);
    eval 'sub CYGETTIMEOUT () {0x435906;}' unless defined(&CYGETTIMEOUT);
    eval 'sub CYSETTIMEOUT () {0x435907;}' unless defined(&CYSETTIMEOUT);
    eval 'sub CYGETDEFTIMEOUT () {0x435908;}' unless defined(&CYGETDEFTIMEOUT);
    eval 'sub CYSETDEFTIMEOUT () {0x435909;}' unless defined(&CYSETDEFTIMEOUT);
    eval 'sub CYSETRFLOW () {0x43590a;}' unless defined(&CYSETRFLOW);
    eval 'sub CYGETRFLOW () {0x43590b;}' unless defined(&CYGETRFLOW);
    eval 'sub CYSETRTSDTR_INV () {0x43590c;}' unless defined(&CYSETRTSDTR_INV);
    eval 'sub CYGETRTSDTR_INV () {0x43590d;}' unless defined(&CYGETRTSDTR_INV);
    eval 'sub CYZSETPOLLCYCLE () {0x43590e;}' unless defined(&CYZSETPOLLCYCLE);
    eval 'sub CYZGETPOLLCYCLE () {0x43590f;}' unless defined(&CYZGETPOLLCYCLE);
    eval 'sub CYGETCD1400VER () {0x435910;}' unless defined(&CYGETCD1400VER);
    eval 'sub CYGETCARDINFO () {0x435911;}' unless defined(&CYGETCARDINFO);
    eval 'sub CYSETWAIT () {0x435912;}' unless defined(&CYSETWAIT);
    eval 'sub CYGETWAIT () {0x435913;}' unless defined(&CYGETWAIT);
    eval 'sub CZIOC () {(ord(\'M\') << 8);}' unless defined(&CZIOC);
    eval 'sub CZ_NBOARDS () {( &CZIOC|0xfa);}' unless defined(&CZ_NBOARDS);
    eval 'sub CZ_BOOT_START () {( &CZIOC|0xfb);}' unless defined(&CZ_BOOT_START);
    eval 'sub CZ_BOOT_DATA () {( &CZIOC|0xfc);}' unless defined(&CZ_BOOT_DATA);
    eval 'sub CZ_BOOT_END () {( &CZIOC|0xfd);}' unless defined(&CZ_BOOT_END);
    eval 'sub CZ_TEST () {( &CZIOC|0xfe);}' unless defined(&CZ_TEST);
    eval 'sub CZ_DEF_POLL () {( &HZ/25);}' unless defined(&CZ_DEF_POLL);
    eval 'sub MAX_BOARD () {4;}' unless defined(&MAX_BOARD);
    eval 'sub MAX_DEV () {256;}' unless defined(&MAX_DEV);
    eval 'sub CYZ_MAX_SPEED () {921600;}' unless defined(&CYZ_MAX_SPEED);
    eval 'sub CYZ_FIFO_SIZE () {16;}' unless defined(&CYZ_FIFO_SIZE);
    eval 'sub CYZ_BOOT_NWORDS () {0x100;}' unless defined(&CYZ_BOOT_NWORDS);
    unless(defined(&DP_WINDOW_SIZE)) {
	if(defined( &__alpha__)) {
	} else {
	}
	eval 'sub DP_WINDOW_SIZE () {(0x00080000);}' unless defined(&DP_WINDOW_SIZE);
	eval 'sub ZE_DP_WINDOW_SIZE () {(0x00100000);}' unless defined(&ZE_DP_WINDOW_SIZE);
	eval 'sub CTRL_WINDOW_SIZE () {(0x00000080);}' unless defined(&CTRL_WINDOW_SIZE);
	eval 'sub WIN_RAM () {0x00000001;}' unless defined(&WIN_RAM);
	eval 'sub WIN_CREG () {0x14000001;}' unless defined(&WIN_CREG);
	eval 'sub TIMER_BY_1M () {0x00;}' unless defined(&TIMER_BY_1M);
	eval 'sub TIMER_BY_256K () {0x01;}' unless defined(&TIMER_BY_256K);
	eval 'sub TIMER_BY_128K () {0x02;}' unless defined(&TIMER_BY_128K);
	eval 'sub TIMER_BY_32K () {0x03;}' unless defined(&TIMER_BY_32K);
    }
    unless(defined(&ZFIRM_ID)) {
	eval 'sub MAX_CHAN () {64;}' unless defined(&MAX_CHAN);
	eval 'sub ID_ADDRESS () {0x00000180;}' unless defined(&ID_ADDRESS);
	eval 'sub ZFIRM_ID () {0x5557465a;}' unless defined(&ZFIRM_ID);
	eval 'sub ZFIRM_HLT () {0x59505b5c;}' unless defined(&ZFIRM_HLT);
	eval 'sub ZFIRM_RST () {0x56040674;}' unless defined(&ZFIRM_RST);
	eval 'sub ZF_TINACT_DEF () {1000;}' unless defined(&ZF_TINACT_DEF);
	eval 'sub ZF_TINACT () { &ZF_TINACT_DEF;}' unless defined(&ZF_TINACT);
	eval 'sub C_OS_LINUX () {0x00000030;}' unless defined(&C_OS_LINUX);
	eval 'sub C_CH_DISABLE () {0x00000000;}' unless defined(&C_CH_DISABLE);
	eval 'sub C_CH_TXENABLE () {0x00000001;}' unless defined(&C_CH_TXENABLE);
	eval 'sub C_CH_RXENABLE () {0x00000002;}' unless defined(&C_CH_RXENABLE);
	eval 'sub C_CH_ENABLE () {0x00000003;}' unless defined(&C_CH_ENABLE);
	eval 'sub C_CH_LOOPBACK () {0x00000004;}' unless defined(&C_CH_LOOPBACK);
	eval 'sub C_PR_NONE () {0x00000000;}' unless defined(&C_PR_NONE);
	eval 'sub C_PR_ODD () {0x00000001;}' unless defined(&C_PR_ODD);
	eval 'sub C_PR_EVEN () {0x00000002;}' unless defined(&C_PR_EVEN);
	eval 'sub C_PR_MARK () {0x00000004;}' unless defined(&C_PR_MARK);
	eval 'sub C_PR_SPACE () {0x00000008;}' unless defined(&C_PR_SPACE);
	eval 'sub C_PR_PARITY () {0x000000ff;}' unless defined(&C_PR_PARITY);
	eval 'sub C_PR_DISCARD () {0x00000100;}' unless defined(&C_PR_DISCARD);
	eval 'sub C_PR_IGNORE () {0x00000200;}' unless defined(&C_PR_IGNORE);
	eval 'sub C_DL_CS5 () {0x00000001;}' unless defined(&C_DL_CS5);
	eval 'sub C_DL_CS6 () {0x00000002;}' unless defined(&C_DL_CS6);
	eval 'sub C_DL_CS7 () {0x00000004;}' unless defined(&C_DL_CS7);
	eval 'sub C_DL_CS8 () {0x00000008;}' unless defined(&C_DL_CS8);
	eval 'sub C_DL_CS () {0x0000000f;}' unless defined(&C_DL_CS);
	eval 'sub C_DL_1STOP () {0x00000010;}' unless defined(&C_DL_1STOP);
	eval 'sub C_DL_15STOP () {0x00000020;}' unless defined(&C_DL_15STOP);
	eval 'sub C_DL_2STOP () {0x00000040;}' unless defined(&C_DL_2STOP);
	eval 'sub C_DL_STOP () {0x000000f0;}' unless defined(&C_DL_STOP);
	eval 'sub C_IN_DISABLE () {0x00000000;}' unless defined(&C_IN_DISABLE);
	eval 'sub C_IN_TXBEMPTY () {0x00000001;}' unless defined(&C_IN_TXBEMPTY);
	eval 'sub C_IN_TXLOWWM () {0x00000002;}' unless defined(&C_IN_TXLOWWM);
	eval 'sub C_IN_RXHIWM () {0x00000010;}' unless defined(&C_IN_RXHIWM);
	eval 'sub C_IN_RXNNDT () {0x00000020;}' unless defined(&C_IN_RXNNDT);
	eval 'sub C_IN_MDCD () {0x00000100;}' unless defined(&C_IN_MDCD);
	eval 'sub C_IN_MDSR () {0x00000200;}' unless defined(&C_IN_MDSR);
	eval 'sub C_IN_MRI () {0x00000400;}' unless defined(&C_IN_MRI);
	eval 'sub C_IN_MCTS () {0x00000800;}' unless defined(&C_IN_MCTS);
	eval 'sub C_IN_RXBRK () {0x00001000;}' unless defined(&C_IN_RXBRK);
	eval 'sub C_IN_PR_ERROR () {0x00002000;}' unless defined(&C_IN_PR_ERROR);
	eval 'sub C_IN_FR_ERROR () {0x00004000;}' unless defined(&C_IN_FR_ERROR);
	eval 'sub C_IN_OVR_ERROR () {0x00008000;}' unless defined(&C_IN_OVR_ERROR);
	eval 'sub C_IN_RXOFL () {0x00010000;}' unless defined(&C_IN_RXOFL);
	eval 'sub C_IN_IOCTLW () {0x00020000;}' unless defined(&C_IN_IOCTLW);
	eval 'sub C_IN_MRTS () {0x00040000;}' unless defined(&C_IN_MRTS);
	eval 'sub C_IN_ICHAR () {0x00080000;}' unless defined(&C_IN_ICHAR);
	eval 'sub C_FL_OXX () {0x00000001;}' unless defined(&C_FL_OXX);
	eval 'sub C_FL_IXX () {0x00000002;}' unless defined(&C_FL_IXX);
	eval 'sub C_FL_OIXANY () {0x00000004;}' unless defined(&C_FL_OIXANY);
	eval 'sub C_FL_SWFLOW () {0x0000000f;}' unless defined(&C_FL_SWFLOW);
	eval 'sub C_FS_TXIDLE () {0x00000000;}' unless defined(&C_FS_TXIDLE);
	eval 'sub C_FS_SENDING () {0x00000001;}' unless defined(&C_FS_SENDING);
	eval 'sub C_FS_SWFLOW () {0x00000002;}' unless defined(&C_FS_SWFLOW);
	eval 'sub C_RS_PARAM () {0x80000000;}' unless defined(&C_RS_PARAM);
	eval 'sub C_RS_RTS () {0x00000001;}' unless defined(&C_RS_RTS);
	eval 'sub C_RS_DTR () {0x00000004;}' unless defined(&C_RS_DTR);
	eval 'sub C_RS_DCD () {0x00000100;}' unless defined(&C_RS_DCD);
	eval 'sub C_RS_DSR () {0x00000200;}' unless defined(&C_RS_DSR);
	eval 'sub C_RS_RI () {0x00000400;}' unless defined(&C_RS_RI);
	eval 'sub C_RS_CTS () {0x00000800;}' unless defined(&C_RS_CTS);
	eval 'sub C_CM_RESET () {0x01;}' unless defined(&C_CM_RESET);
	eval 'sub C_CM_IOCTL () {0x02;}' unless defined(&C_CM_IOCTL);
	eval 'sub C_CM_IOCTLW () {0x03;}' unless defined(&C_CM_IOCTLW);
	eval 'sub C_CM_IOCTLM () {0x04;}' unless defined(&C_CM_IOCTLM);
	eval 'sub C_CM_SENDXOFF () {0x10;}' unless defined(&C_CM_SENDXOFF);
	eval 'sub C_CM_SENDXON () {0x11;}' unless defined(&C_CM_SENDXON);
	eval 'sub C_CM_CLFLOW () {0x12;}' unless defined(&C_CM_CLFLOW);
	eval 'sub C_CM_SENDBRK () {0x41;}' unless defined(&C_CM_SENDBRK);
	eval 'sub C_CM_INTBACK () {0x42;}' unless defined(&C_CM_INTBACK);
	eval 'sub C_CM_SET_BREAK () {0x43;}' unless defined(&C_CM_SET_BREAK);
	eval 'sub C_CM_CLR_BREAK () {0x44;}' unless defined(&C_CM_CLR_BREAK);
	eval 'sub C_CM_CMD_DONE () {0x45;}' unless defined(&C_CM_CMD_DONE);
	eval 'sub C_CM_INTBACK2 () {0x46;}' unless defined(&C_CM_INTBACK2);
	eval 'sub C_CM_TINACT () {0x51;}' unless defined(&C_CM_TINACT);
	eval 'sub C_CM_IRQ_ENBL () {0x52;}' unless defined(&C_CM_IRQ_ENBL);
	eval 'sub C_CM_IRQ_DSBL () {0x53;}' unless defined(&C_CM_IRQ_DSBL);
	eval 'sub C_CM_ACK_ENBL () {0x54;}' unless defined(&C_CM_ACK_ENBL);
	eval 'sub C_CM_ACK_DSBL () {0x55;}' unless defined(&C_CM_ACK_DSBL);
	eval 'sub C_CM_FLUSH_RX () {0x56;}' unless defined(&C_CM_FLUSH_RX);
	eval 'sub C_CM_FLUSH_TX () {0x57;}' unless defined(&C_CM_FLUSH_TX);
	eval 'sub C_CM_Q_ENABLE () {0x58;}' unless defined(&C_CM_Q_ENABLE);
	eval 'sub C_CM_Q_DISABLE () {0x59;}' unless defined(&C_CM_Q_DISABLE);
	eval 'sub C_CM_TXBEMPTY () {0x60;}' unless defined(&C_CM_TXBEMPTY);
	eval 'sub C_CM_TXLOWWM () {0x61;}' unless defined(&C_CM_TXLOWWM);
	eval 'sub C_CM_RXHIWM () {0x62;}' unless defined(&C_CM_RXHIWM);
	eval 'sub C_CM_RXNNDT () {0x63;}' unless defined(&C_CM_RXNNDT);
	eval 'sub C_CM_TXFEMPTY () {0x64;}' unless defined(&C_CM_TXFEMPTY);
	eval 'sub C_CM_ICHAR () {0x65;}' unless defined(&C_CM_ICHAR);
	eval 'sub C_CM_MDCD () {0x70;}' unless defined(&C_CM_MDCD);
	eval 'sub C_CM_MDSR () {0x71;}' unless defined(&C_CM_MDSR);
	eval 'sub C_CM_MRI () {0x72;}' unless defined(&C_CM_MRI);
	eval 'sub C_CM_MCTS () {0x73;}' unless defined(&C_CM_MCTS);
	eval 'sub C_CM_MRTS () {0x74;}' unless defined(&C_CM_MRTS);
	eval 'sub C_CM_RXBRK () {0x84;}' unless defined(&C_CM_RXBRK);
	eval 'sub C_CM_PR_ERROR () {0x85;}' unless defined(&C_CM_PR_ERROR);
	eval 'sub C_CM_FR_ERROR () {0x86;}' unless defined(&C_CM_FR_ERROR);
	eval 'sub C_CM_OVR_ERROR () {0x87;}' unless defined(&C_CM_OVR_ERROR);
	eval 'sub C_CM_RXOFL () {0x88;}' unless defined(&C_CM_RXOFL);
	eval 'sub C_CM_CMDERROR () {0x90;}' unless defined(&C_CM_CMDERROR);
	eval 'sub C_CM_FATAL () {0x91;}' unless defined(&C_CM_FATAL);
	eval 'sub C_CM_HW_RESET () {0x92;}' unless defined(&C_CM_HW_RESET);
	eval 'sub QUEUE_SIZE () {(10* &MAX_CHAN);}' unless defined(&QUEUE_SIZE);
    }
}
1;
