errors = {}
options = {}
macro_ops = {}
stages = {}
svcid = 21
SUCCESS = 0
WARNING = 1
ERROR = 2
def determine_severity(msgs):
    severity = SUCCESS
    if msgs and len(msgs) > 0:
        for msg in msgs:
            severity = max(severity, msg[0])
    return severity
def determine_action_severity(list):
    severity = SUCCESS
    if list and len(list) > 0:
        for action in list:
            severity = max(severity, determine_severity(action[2]))
    return severity
def get_option_from_code(code, options_table):
    index = (code >> 48) & 0xff
    return options_table.get(index, None)
def get_errornum_from_code(code):
    return (code >> 56) & 0xff
options[0] = "enabled"; enabled = 0L
SENDMAIL_REQUIRED = (21L << 56) | (enabled << 48) | 0; errors[(21L << 56) | (enabled << 48) | 0] = "Sendmail must be enabled to use Majordomo"
UNKNOWN_ADMIN_USER = ((21L << 56) | (255L << 48)) | 0; errors[((21L << 56) | (255L << 48)) | 0] = "Could not locate password record for administrative user %(admin)s"
WRAPPER_SYMLINK = ((21L << 56) | (255L << 48)) | 1; errors[((21L << 56) | (255L << 48)) | 1] = "Could not create symlink. File %(file)s. Error is %(errno)d : %(errstr)s"
MAJORDOMO_ALIASES = ((21L << 56) | (255L << 48)) | 2; errors[((21L << 56) | (255L << 48)) | 2] = "Failed to add majordomo-related aliases to %(file)s. Error is %(errno)d : %(errstr)s"
MAJORDOMO_ALIASES_CLOSE = ((21L << 56) | (255L << 48)) | 3; errors[((21L << 56) | (255L << 48)) | 3] = "Failed to close aliases file %(file)s after modifying. Error is %(errno)d : %(errstr)s"
NEWALIASES = ((21L << 56) | (255L << 48)) | 4; errors[((21L << 56) | (255L << 48)) | 4] = "Failed to reconfigure sendmail aliases. Error %(errno)d.\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
MAJORDOMO_LOGROTATE = ((21L << 56) | (255L << 48)) | 5; errors[((21L << 56) | (255L << 48)) | 5] = "Failed to add majordomo log rotation configuration %(file)s. Error is %(errno)d : %(errstr)s"
MAJORDOMO_LOGROTATE_CLOSE = ((21L << 56) | (255L << 48)) | 6; errors[((21L << 56) | (255L << 48)) | 6] = "Failed to close majordomo log rotation configuration %(file)s after modifying. Error is %(errno)d : %(errstr)s"
GROUPADD = ((21L << 56) | (255L << 48)) | 7; errors[((21L << 56) | (255L << 48)) | 7] = "Failed to add majordomo group. Error %(errno)d.\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
USERADD = ((21L << 56) | (255L << 48)) | 8; errors[((21L << 56) | (255L << 48)) | 8] = "Failed to add majordomo user. Error %(errno)d.\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
USERDEL = ((21L << 56) | (255L << 48)) | 9; errors[((21L << 56) | (255L << 48)) | 9] = "Failed to remove majordomo user. Error %(errno)d.\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
RM_WRAPPER_SYMLINK = ((21L << 56) | (255L << 48)) | 10; errors[((21L << 56) | (255L << 48)) | 10] = "Could not remove symlink. File %(file)s. Error is %(errno)d : %(errstr)s"
READ_ALIASES = ((21L << 56) | (255L << 48)) | 11; errors[((21L << 56) | (255L << 48)) | 11] = "Could not read aliases file %(file)s. Error is %(errno)d : %(errstr)s"
RM_MAJORDOMO_ALIASES = ((21L << 56) | (255L << 48)) | 12; errors[((21L << 56) | (255L << 48)) | 12] = "Failed to remove majordomo-related aliases from %(file)s. Error is %(errno)d : %(errstr)s"
RM_MAJORDOMO_LOGROTATE = ((21L << 56) | (255L << 48)) | 13; errors[((21L << 56) | (255L << 48)) | 13] = "Failed to remove majordomo log rotation configuration %(file)s. Error is %(errno)d : %(errstr)s"
CREATE_DOMO_HOME = ((21L << 56) | (255L << 48)) | 14; errors[((21L << 56) | (255L << 48)) | 14] = "Could not create majordomo home %(file)s.  Error %(errno)d : %(errstr)s"
MAJORDOMO_DIR_ATTRS = ((21L << 56) | (255L << 48)) | 15; errors[((21L << 56) | (255L << 48)) | 15] = "Could not set proper attributes on majordomo home directory %(file)s. Error is %(errno)d : %(errstr)s"
