require '_h2ph_pre.ph';

unless(defined(&_I386_BITOPS_H)) {
    eval 'sub _I386_BITOPS_H () {1;}' unless defined(&_I386_BITOPS_H);
    require 'linux/config.ph';
    if(defined(&CONFIG_SMP)) {
	eval 'sub LOCK_PREFIX () {"lock ; ";}' unless defined(&LOCK_PREFIX);
    } else {
	eval 'sub LOCK_PREFIX () {"";}' unless defined(&LOCK_PREFIX);
    }
    eval 'sub ADDR () {(*  &addr);}' unless defined(&ADDR);
    eval 'sub smp_mb__before_clear_bit () {
        eval q( &barrier());
    }' unless defined(&smp_mb__before_clear_bit);
    eval 'sub smp_mb__after_clear_bit () {
        eval q( &barrier());
    }' unless defined(&smp_mb__after_clear_bit);
    if(0) {
    }
    eval 'sub test_bit {
        local($nr,$addr) = @_;
	    eval q(( &__builtin_constant_p($nr) ?  &constant_test_bit(($nr),($addr)) :  &variable_test_bit(($nr),($addr))));
    }' unless defined(&test_bit);
    warn("This\ includefile\ is\ not\ available\ on\ all\ architectures\.");
    warn("Using\ kernel\ headers\ in\ userspace\.\ ");
}
1;
